-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local add1 = ProcessingFlow[2].Destination.SASAddress1
local add2 = ProcessingFlow[2].Destination.SASAddress2
local res = {}
if add1 ~= 'N/A' and add1 ~= 'UnKnown' and add1 ~= 'Undefined' and add1 ~= '' and add1 then
    res[#res + 1] = add1
end
if add2 ~= 'N/A' and add2 ~= 'UnKnown' and add2 ~= 'Undefined' and add2 ~= '' and add2 then
    res[#res + 1] = add2
end
return res
